Loading...
Searching...
No Matches
firmware::FirmwareUpdateEvent Struct Reference

Event: Firmware update base event. More...

`import <Firmware.idl;`

Inheritance diagram for firmware::FirmwareUpdateEvent:

## Public Attributes

string | oldVersion
| Firmware version the device is being upgraded from.
string | newVersion
| Firmware version the device is being upgraded to.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update base event.

Definition at line 106 of file Firmware.idl.

## Member Data Documentation

## newVersion

string firmware::FirmwareUpdateEvent::newVersion

Firmware version the device is being upgraded to.

Definition at line 108 of file Firmware.idl.

## oldVersion

string firmware::FirmwareUpdateEvent::oldVersion

Firmware version the device is being upgraded from.

Definition at line 107 of file Firmware.idl.

The documentation for this struct was generated from the following file:

- Firmware.idl